## php-codesniffer 3.11.2

=== debian/changelog ===
php-codesniffer (3.11.2-2) unstable; urgency=medium

  * (debci) Exclude class for phpab
  * Skip tests currently failing on debci

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2024 15:19:21 +0100

php-codesniffer (3.11.2-1) unstable; urgency=medium

  [ jrfnl ]
  * Generators HTML/Markdown: don't print header/footer when there are no docs
  * Generators/Markdown: reset error_reporting to original value
  * Generators/HTML: only display a TOC when there is more than one doc
  * Generators/Markdown: fix footer not parsing
  * Generators/HTML: fix line break handling
  * Generic/OpeningFunctionBraceKernighanRitchie: improve error message
  * Generators/Markdown: fix line break and indentation handling
  * Generators HTML/Markdown: fix whitespace handling in code title
  * Changelog for the 3.11.2 release

  [ Rodrigo Primo ]
  * Generic/UpperCaseConstantName: handle unconventional spacing and comments after `define(`
  * Generic/UpperCaseConstantName: handle unconventional spacing and comments before `define`
  * Generic/UpperCaseConstantName: false positives when constant name is "DEFINE"
  * Generic/UpperCaseConstantName: fix attributes false positive
  * Generic/UpperCaseConstantName: fix false positive for class instantiation
  * Squiz/ArrayDeclaration: improve handling of short lists inside a foreach

  [ David Prévot ]
  * Use php-bcmath for tests

 -- David Prévot <taffit@debian.org>  Thu, 19 Dec 2024 19:15:09 +0100

php-codesniffer (3.11.1-1) unstable; urgency=medium

  [ jrfnl ]
  * Docs: fix up two XML docs
  * Common::getSniffCode(): be more lenient about sniffs not following
    naming conventions
  * Generators: add initial set of tests (#671)
  * Changelog for the 3.11.1 release

  [ Bartosz Dziewoński ]
  * Tests: Add unit tests for Common::prepareForOutput()

  [ David Prévot ]
  * Actually exclude nophpunit11 tests

 -- David Prévot <taffit@debian.org>  Wed, 20 Nov 2024 14:07:21 +0100

php-codesniffer (3.11.0-1) unstable; urgency=medium

  [ jrfnl ]
  * :sparkles: New `Generic.WhiteSpace.HereNowdocIdentifierSpacing` sniff
  * :sparkles: New `Generic.Strings.UnnecessaryHeredoc` sniff (#633)
  * Squiz/Heredoc: add XML doc
  * PHP 8.3 | Tokenizer/PHP: support "yield from" with comments
  * Changelog for the 3.11.0 release

  [ Rodrigo Primo ]
  * Generic/ArrayIndent: add XML documentation (#432)

 -- David Prévot <taffit@debian.org>  Fri, 15 Nov 2024 14:20:34 +0100
