=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -XTests

override_dh_auto_test:
	phpunit tests --exclude-group nophpunit11
