=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree allow-stderr
Depends: patch, php-bcmath, phpab, phpunit, @
